| AnyConnect Secure Mobility Client 5.1.10.233

Public Member Functions | Static Public Member Functions | Static Protected Attributes | Friends | List of all members
VPNStatsBase Class Reference

## Public Member Functions
| VPNStatsBase (const VPNStatsBase &existing)
VPNStatsBase & | operator= (const VPNStatsBase &)
const std::list< RouteInfo * > & | getSecureRoutes ()
uint16_t | getAppliedSecureRouteCount (bool bIPv6)
const std::list< RouteInfo * > & | getNonsecureRoutes ()
uint16_t | getAppliedNonsecureRouteCount (bool bIPv6)
const std::list< ProtocolInfo * > & | getProtocolInfo ()
const std::list< FirewallInfo * > & | getFirewallInfo ()
const tstring & | getStatValue (tstring &label)
void | setConnectionStatistics (CStatisticsTlv *connectionStats)
bool | ClearConnectionStatistics ()
bool | ClearVPNSessionStats ()
bool | hasSessionInfo ()
bool | IsFirewallInfoEqual (VPNStatsBase &stats)
void | setDisconnected ()
bool | setStateInfo (CStateTlv *stateInfo, STATE &rSessionState, VPNCON_SUBSTATE &rSessionSubState, STATE &rMgmtTunSessionState, VPNCON_SUBSTATE &rMgmtTunSessionSubState, NETENV_STATE &rNetEnvState, NETCTRL_STATE &rNetCtrlState, NETWORK_TYPE &rNetType)
void | setSessionInfo (CSessionInfoTlv *sessionInfo)
void | setTNDInfo (CSessionInfoTlv &sessionInfo)
void | setClientOperatingMode (uint32_t operatingMode)
void | StreamStats (tostream &outStream)

## Static Public Member Functions
static const tstring::value_type *const * | getVpnStatsStringTable ()

## Static Protected Attributes
static const tstring::value_type *const | sm_pVpnStatsStringTable []

## Friends
VPN_VPNAPI tostream & | operator<< (tostream &outStream, VPNStatsBase &stats)

## Member Function Documentation

## ◆ getAppliedNonsecureRouteCount()

uint16_t VPNStatsBase::getAppliedNonsecureRouteCount | ( | bool | bIPv6 | ) |
| inline

76 {
77 return (bIPv6 ? m_uiAppliedNonsecureRouteCountV6 :
78 m_uiAppliedNonsecureRouteCountV4);
79 }

## ◆ getAppliedSecureRouteCount()

uint16_t VPNStatsBase::getAppliedSecureRouteCount | ( | bool | bIPv6 | ) |
| inline

62 {
63 return (bIPv6 ? m_uiAppliedSecureRouteCountV6 :
64 m_uiAppliedSecureRouteCountV4);
65 }